<?php ob_start(); session_start(); ?>
<strong>Glemt kodeord?</strong>
<br />
<i><strong>OBS:</strong> Bemærk, at kun brugere med feltet "email" udfyldt kan få deres nye kodeord tilsendt!</i>
<br />
<br />
<form action="?site=Forgotps&submit=true" method="post" style="display:block;">
Brugernavn: <input type="text" name="byUser" />
<br />
E-mail: <input type="text" name="byMail" />
<br />
<br />
<input type="submit" value="Videre" class="submit" name="submit" /></form>
<br />
<br />
<br />
<?php
if ($_GET["submit"] == "true"){
 if ($_POST['byUser'] != "" && $_POST['byMail'] != "") {


if ($_POST['submit'] == "Videre") {

$get_by_user = mysql_query("SELECT * FROM `pytox_community` WHERE `bruger` LIKE '{$_POST['byUser']}' LIMIT 1") or die(mysql_error());

if (mysql_num_rows($get_by_user) == 1) {

 while ($bruger = mysql_fetch_array($get_by_user)) {

	if ($bruger['email'] == "") {
print "Brugerens har ikke indtastet en email-adresse!";
	} else if ($_POST['byMail'] != $bruger['email']) {
print "Den skrevne email-adresse stemmer ikke overens med brugerens email-mail";
	} else {

$nykode = md5(mt_rand(-255*255,255*255).time());


//mysql_query("UPDATE `pytox_community` SET `kode` = '{$md5kode}' WHERE `bruger` LIKE '{$bruger['bruger']}' AND `id` LIKE '{$bruger['id']}' LIMIT 1") or die(mysql_error());

mysql_query("INSERT INTO `pytox_validate` (`id`, `code`, `function`, `userid`) VALUES ('', '{$nykode}', 'newpass', '{$bruger['id']}')") or die(mysql_error());

//$msg = "Du har, på Pytox.dk, anmodet om at få nulstillet din kode.\n\n";
//$msg .= "Gå blot ind på følgende link, hvorefter du bare gør, som der står\n\n";
//$msg .= "www.pytox.dk/pytox/designs/d2/index.php?site=Forgotps&edit=true&code=".$nykode."\n\n";
//$msg .= "Din bruger: ".$bruger['bruger']."\n";
//$msg .= "Dit kodeord: ".$nykode[1]."\n\n\n\n\n\n";
//$msg .= "Bemærk at denne mail ikke kan besvares. Gå hellere ind på www.Pytox.dk og spørg vores supporter, hvis der skulle være noget.";

$msg = "Hej ".$bruger['bruger']."\n\n";
$msg .= "Det ser ud til, at du har glemt dit kodeord - Det er også helt fint, da vi på Pytox har mulighed for, at du kan få det igen.\n\n";
$msg .= "Klik blot på nedenstående link, og du vil derefter kunne ændre dit password.\n\n";
$msg .= "www.pytox.dk/pytox/designs/d2/index.php?site=Forgotps&edit=true&code=".$nykode."\n\n";
$msg .= "De venligeste hilsener\n";
$msg .= "Pytox Redaktionen\n\n\n";
$msg .= "Søger du de vildeste konkurrencer om ting og monetter? Så tjek www.Pytox.dk!";


$recipient = $bruger['email'];
$subject = "Glemt kode";
$mailheaders = "From: bot@pytox.dk \n";

mail($recipient, $subject, $msg, $mailheaders);

print "Der er nu sendt en mail med et link, hvorfra koden kan ændres til ".$bruger['email']."!";

	}

 }

} else {
print "Brugeren kunne ikke findes i databasen!";
}

 } else {
print "Én eller flere felter blev ikke udfyldt! (Fejlkode: 18293)";
 }

}


} else if ($_GET['edit'] == "true" && isset($_GET['code'])) {

$tjek_validate = mysql_query("SELECT * FROM `pytox_validate` WHERE `code` LIKE '{$_GET['code']}' AND `function` LIKE 'newpass' LIMIT 1") or die(mysql_query());

$validaty = $tjek_validate;

if (mysql_num_rows($tjek_validate) == 0) {

print "Der skete en fejl! (Fejlkode: 87987)";

} else {

if ($_GET["submity"] != "true") {
?>
<strong>Skift koden.</strong>
<br />
<br />
<form action="?site=Forgotps&amp;edit=true&amp;code=<?=$_GET['code']?>&amp;submity=true" method="post">
Ny kode: <input type="password" name="newpass" />
<br />
Gentag ny kode: <input type="password" name="newpass2" />
<br />
<br />
<i><strong>OBS:</strong> Kodeordet skal være mindst 6 tegn langt!</i>
<br />
<br />
<input type="submit" value="Ændr!" /></form>
<?php
}

//print "Stadium 0";

while ($tjek_validatecode = mysql_fetch_array($validaty)) {

//print "Stadium 1";

	if ($_GET["submity"] == "true") {
//print "Stadium 2";
		if ($_GET["code"] == $tjek_validatecode['code']) {
//print "Stadium 3";

$get_theuser = mysql_query("SELECT * FROM `pytox_community` WHERE `id` LIKE '{$tjek_validatecode['userid']}' LIMIT 1") or die(mysql_error());

while ($user = mysql_fetch_array($get_theuser)) {
//print "Stadium 4";

if ($_POST['newpass'] != "" && $_POST['newpass'] == $_POST['newpass2'] && strlen($_POST['newpass']) >= 6) {
//print "Stadium 5";
$nyekode = md5($_POST['newpass']);
mysql_query("UPDATE `pytox_community` SET `kode` = '{$nyekode}' WHERE `id` LIKE '{$tjek_validatecode['userid']}' LIMIT 1") or die(mysql_error());

mysql_query("DELETE FROM `pytox_validate` WHERE `userid` LIKE '{$user['id']}'") or die(mysql_error());

print "Dit kodeord blev ændret, og du kan nu logge ind!";


} else {
print "Enten var én eller flere felter blev ikke udfyldt, eller de to kodeord var ikke ens, og ellers var kodeordet på mindre en 6 tegn!";
}

}

		} else {
			print "Forkert valideringskode!";
		}
	}
}


}

}
?>